Package: org.codehaus.groovy.transform.sc

## [Java] Class ListOfExpressionsExpression

- org.codehaus.groovy.transform.sc.ListOfExpressionsExpression

- This class is used internally by the compiler to transform expressions like multiple assignments into a list of assignments.

  Authors:
    Cedric Champeau

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ListOfExpressionsExpression ()`
    `ListOfExpressionsExpression (List<Expression> expressions)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addExpression(Expression expression)`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ListOfExpressionsExpression()

    - #### public ListOfExpressionsExpression(List<Expression> expressions)

  - ### Method Detail

    - #### public void addExpression(Expression expression)

    - #### @Override public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override public void visit(GroovyCodeVisitor visitor)